description

# FileEntry class Null safety

Inheritance
  - Object
  - Entry
  - FileEntry
Annotations
  - @Native("FileEntry")

## Properties

filesystem → FileSystem?
  read-only, inherited
fullPath → String?
  read-only, inherited
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
isDirectory → bool?
  read-only, inherited
isFile → bool?
  read-only, inherited
name → String?
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

copyTo(DirectoryEntry parent, {String? name}) → Future<Entry>
  @JSName('copyTo'), inherited
createWriter() → Future<FileWriter>
  @JSName('createWriter')
file() → Future<File>
  @JSName('file')
getMetadata() → Future<Metadata>
  @JSName('getMetadata'), inherited
getParent() → Future<Entry>
  @JSName('getParent'), inherited
moveTo(DirectoryEntry parent, {String? name}) → Future<Entry>
  @JSName('moveTo'), inherited
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
remove() → Future
  @JSName('remove'), inherited
toString() → String
  Returns a string representation of this object.
  inherited
toUrl() → String
  @JSName('toURL'), inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited